EDIT - bug #7093

choosing representation which best fits the available size for taxon profile picture not working in all
cases

11/24/2017 04:48 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version: Release 4.11

Description
even fixed in #6969 choosing representation which best fits the available size for taxon profile picture not working in all cases

see http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/taxon/1c7a0a82-bd99-44eb-91cf-77a36206d0ad

where some images are loading slow, in these cases the algorithm chooses the high quality representation even if the thumbnail size
perfectly fits the preferred size

e Thumbnails with 150x96 available (=> product is 14400)
¢ Preferred size 120x120 defined in setting of taxon gallery (=> product is 14400)

Related issues:

Related to EDIT - bug #6969: Use media representation which best fits the ava... Closed
Related to EDIT - bug #6970: MediaUtils.filterAndOrderMediaRepresentations p... Closed
Related to EDIT - bug #9979: Flora Greece shows large images In Progress  04/25/2022 04/29/2022

Associated revisions

Revision 84331140 - 03/05/2020 03:57 PM - Andreas Kohlbecker
ref #6970 fixing bug related to undefined values and adding test for ref #7093

History

#1 - 11/24/2017 04:48 PM - Andreas Kohlbecker

- Related to bug #6969: Use media representation which best fits the available size for taxon profile picture added

#2 - 11/24/2017 05:07 PM - Andreas Miiller
- % Done changed from 100 to 0

#3 - 12/05/2017 02:02 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#4 - 01/31/2018 12:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#5 - 02/15/2018 03:00 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#6 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#7 - 06/28/2018 12:20 AM - Andreas Mdller

- Target version changed from Release 5.1 to Release 5.2

#8 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3
#9 - 09/06/2018 11:15 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#10 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#11 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#12 - 02/22/2019 05:27 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets

#13 - 03/04/2020 04:11 PM - Andreas Kohlbecker
- Related to bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#14 - 03/05/2020 11:20 AM - Andreas Kohlbecker
- Status changed from New to Duplicate

- Target version deleted (Unassigned CDM tickets)

This is a duplicate of the issue #6970

#15 - 03/05/2020 11:20 AM - Andreas Kohlbecker
- Related to deleted (bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized)

#16 - 03/05/2020 11:20 AM - Andreas Kohlbecker
- Related to bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#17 - 03/05/2020 11:20 AM - Andreas Kohlbecker
- Related to deleted (bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized)

#18 - 03/05/2020 11:20 AM - Andreas Kohlbecker
- Is duplicate of bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#19 - 03/05/2020 11:21 AM - Andreas Kohlbecker
- Is duplicate of deleted (bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized)

#20 - 03/05/2020 11:24 AM - Andreas Kohlbecker
- Status changed from Duplicate to Worksforme
Andreas Kohlbecker wrote:

This is a duplicate of the issue #6970

Not really, since the problem in #6970 is exactly the opposite effect.

This issue cant be reproduced at the moment in the production system so this problem might have been solved in a different way - could have been a
data problem?

#21 - 03/05/2020 12:03 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Andreas Kohlbecker wrote:

This is a duplicate of the issue #6970

Not really, since the problem in #6970 is exactly the opposite effect.

This issue cant be reproduced at the moment in the production system so this problem might have been solved in a different way - could have
been a data problem?
The current images (see link in description) have not the size that was mentioned in the description anymore. They were adapted in a way that they
work well with the current situation (specific situation in flora-greece portal and general situation in dataportal and cdmilib).

You may decide if you think that the ticket is "Worksforme" anyway. | personally do not remember that it was explicitly fixed but do not really
remember. Definetely there are still problems with the specific implementations for flora-greece but is probably another issue.

#22 - 03/05/2020 12:26 PM - Andreas Kohlbecker
- Status changed from Worksforme to Feedback
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- Target version set to Release 5.13

Thank you for pointing this out.
Have only the thumbnails been adapted or also the large images? Do you know more about the details of the former image sizes?

#23 - 03/05/2020 12:28 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Thank you for pointing this out.

Have only the thumbnails been adapted or also the large images? Do you know more about the details of the former image sizes?

See description
#24 - 03/05/2020 12:32 PM - Andreas Kohlbecker
Andreas Muller wrote:
Andreas Kohlbecker wrote:
Thank you for pointing this out.
Have only the thumbnails been adapted or also the large images? Do you know more about the details of the former image sizes?

See description

"algorithm chooses the high quality representation", but there is no information on the size of these large images, this is why | was asking you for
further information. Do you know | it was necessary to also change the size of the lager images?

#25 - 03/05/2020 12:34 PM - Andreas Miiller

Andreas Kohlbecker wrote:
Andreas Muller wrote:
Andreas Kohlbecker wrote:

Thank you for pointing this out.
Have only the thumbnails been adapted or also the large images? Do you know more about the details of the former image sizes?

See description

"algorithm chooses the high quality representation", but there is no information on the size of these large images, this is why | was asking you for
further information. Do you know | it was necessary to also change the size of the lager images?

No usually the size of the large images was not changed (as far as | know)

#26 - 03/05/2020 12:36 PM - Andreas Kohlbecker

Ok, | will test with these sizes ....

#27 - 03/05/2020 04:00 PM - Andreas Miiller
- Status changed from Feedback to In Progress

- Assignee changed from Andreas Miller to Andreas Kohlbecker

#28 - 03/05/2020 04:24 PM - Andreas Kohlbecker
- Status changed from In Progress to Worksforme

I could not reproduce this issue with the test cases implemented in 84331f40
A research in the old emails did not reveal better details on the actual image sized with which this problem occured.

Finally it seems as if the new algorithm implemented in MediaUtils (#6970) solves this problem.

Thus | am closing this as worksforme

#29 - 03/05/2020 04:24 PM - Andreas Kohlbecker
- Related to bug #6970: MediaUltils.filterAndOrderMediaRepresentations perfers thumbnail MediaRepresentations over full sized added

#30 - 03/05/2020 04:24 PM - Andreas Kohlbecker
- Target version deleted (Release 5.13)

#31 - 07/30/2022 06:24 PM - Andreas Miiller
- Related to bug #9979: Flora Greece shows large images added
